## robocode
Class DeathEvent

    java.lang.Object
      robocode.Event
          robocode.DeathEvent

All Implemented Interfaces:
  Serializable, Comparable

    public final class DeathEvent

extends Event

This event is sent to `onDeath()` when your robot dies.

Author:
  Mathew A. Nelson (original)
See Also:
  Serialized Form

Constructor Summary
`DeathEvent()` Called by the game to create a new DeathEvent.

Method Summary
`int` `getPriority()` Returns the priority of this event.

Methods inherited from class robocode.Event
`compareTo, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeathEvent

    public DeathEvent()

  Called by the game to create a new DeathEvent.

Method Detail

### getPriority

    public final int getPriority()

  Returns the priority of this event. An event priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

  Overrides:
    `getPriority` in class `Event`
  Returns:
    the priority of this event

Copyright © 2010 Robocode. All Rights Reserved.